Page MenuHomePhabricator

[Segmentation] Optimize new segmentation view
Open, HighPublic

Description

The newly introduced mechanism to automatically create new labels, give them a name and set a distinctive color needs to be improved.
Issues mentioned on the 2022.04 test day:

  • Green + yellow can be hard to distinguish. Default color cycle could be better
  • Maybe continue the color cycle across layers so that we don’t have multiple yellow labels in the image and may not remember what layer they belong to?
  • The color only updates once I interact with the view (click, scroll). It does not update immediately :-(
    • Color does not change immediately. Only after I draw a new mask, the color of all exiting masks with that label change.
  • A newly created label is automatically selected?
    • Was mentioned in a checklist and should be checked, as this is relevant when it comes to using the label and observing the drawn mask color

Revisions and Commits

rMITK MITK
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision
Restricted Differential Revision

Event Timeline

kalali triaged this task as High priority.Apr 3 2022, 9:32 PM
kalali created this task.

BTW, if you are working on this, regarding the color updates that were reported not to be immediate, I can confirm that it only happens on layers != 0.

Oh, I forgot, we should probably rename this task to reflect the things that are missing from the list above. Both label naming and color assignment are the ones that are fixed already.

This comment was removed by kalali.
kalali renamed this task from [Segmentation] Label naming and automatic color assignment to [Segmentation] Optimize new segmentation view.Apr 4 2022, 10:24 AM

For the labels on layer > 0 to react immediately the connections needed to be established. This is something that was also a problem in several others bugs and is fixed with either https://phabricator.mitk.org/differential/changeset/?ref=57639 or https://phabricator.mitk.org/differential/changeset/?ref=57588

kalali updated the task description. (Show Details)

For the labels on layer > 0 to react immediately the connections needed to be established. This is something that was also a problem in several others bugs and is fixed with either https://phabricator.mitk.org/differential/changeset/?ref=57639 or https://phabricator.mitk.org/differential/changeset/?ref=57588

Since both differentials didn't make it into the release we need to fix this manually.

kalali added a revision: Restricted Differential Revision.Apr 25 2022, 10:50 PM
In T29110, @kalali wrote:
  • A newly created label is automatically selected?
    • Was mentioned in a checklist and should be checked, as this is relevant when it comes to using the label and observing the drawn mask color

@kislinsk, @floca Is this a problem? If not, the task can be closed.